commit 4af78dd8c49927ad6c01319e6d6c9aa7b9524b49
Author: Patrick Palka <ppalka@redhat.com>
Date:   Fri Oct 23 09:03:25 2020 -0400

    libstdc++: Apply proposed resolutions for LWG 3428, 3447
    
    libstdc++-v3/ChangeLog:
    
            * include/std/ranges (single_view::single_view): Mark the
            in place constructor explicit as per LWG 3428.
            (take_view): Remove the constraint on the deduction guide's
            template parameter as per LWG 3447.
    
    (cherry picked from commit 50106208ff65fe8076329169cd97460a03e27388)

diff --git a/libstdc++-v3/include/std/ranges b/libstdc++-v3/include/std/ranges
index 23f7d9e32b1..fa58c165110 100644
--- a/libstdc++-v3/include/std/ranges
+++ b/libstdc++-v3/include/std/ranges
@@ -538,9 +538,11 @@ namespace ranges
       : _M_value(std::move(__t))
       { }
 
+      // _GLIBCXX_RESOLVE_LIB_DEFECTS
+      // 3428. single_view's in place constructor should be explicit
       template<typename... _Args>
 	requires constructible_from<_Tp, _Args...>
-	constexpr
+	constexpr explicit
 	single_view(in_place_t, _Args&&... __args)
 	: _M_value{in_place, std::forward<_Args>(__args)...}
 	{ }
@@ -2121,7 +2123,10 @@ namespace views
       }
     };
 
-  template<range _Range>
+  // _GLIBCXX_RESOLVE_LIB_DEFECTS
+  // 3447. Deduction guides for take_view and drop_view have different
+  // constraints
+  template<typename _Range>
     take_view(_Range&&, range_difference_t<_Range>)
       -> take_view<views::all_t<_Range>>;
 

